## Class Fichier

- java.lang.Object
- - Fichier

-     public class Fichier
      extends java.lang.Object

  Fonctions de gestion de fichier texte.
  Un fichier texte contient des informations codees sous forme texte.
  Un tel fichier pourra etre exploite depuis un editeur texte car les informations qui y sont contenues sont directement accessibles.
  Creer un fichier texte pour y stocker de l'information necessite de creer le fichier, y ecrire les informations a sauvegarder et fermer le fichier.
  La creation d'un fichier necessite de donner le nom qu'il portera sur le support de sauvegarde ou il sera ecrit.
  L'exemple suivant illustre la creation d'un fichier ou sont sauvegardees les valeurs entiere 12 et reelle 2.897:
  Fichier f = new Fichier(); // Declaration de la variable support du fichier
  if ( Fichier.ouvrir(f,"Test.txt","c") ) { // Si l'ouverture du fichier en creation avec le nom Test.txt a ete reussie
  Fichier.afficherln(f,12); // Ecriture dans le fichier de la valeur entiere 12
  Fichier.afficherln(f,2.897); // Ecriture dans le fichier de la valeur reelle 2.897
  Fichier.fermer(f); } // Fermeture du fichier
  Pour que les valeurs sauvegardees soient discriminables les unes des autres, il est necessaire qu'elles soient separees par un delimiteur. Celui-ci peut etre le caractere espace ou un saut de ligne comme dans l'exemple ci-dessus.
  L'exemple suivant illustre la lecture du fichier texte cree par l'exemple precedent:
  int v1; // Declaration de la variable int v1
  double v2; // Declaration de la variable double v2
  Fichier f = new Fichier(); // Declaration de la variable support du fichier
  if ( Fichier.ouvrir(f,"Test.txt","r") ) { // Si l'ouverture du fichier en lecture avec le nom Test.txt a ete reussie
  v1 = Fichier.lireInt(f); // Lecture dans le fichier d'une valeur de type int
  v2 = Fichier.lireDouble(f); // Lecture dans le fichier d'une valeur de type double
  Fichier.fermer(f); } // Fermeture du fichier
  Les donnees d'un fichier ne peuvent etre lues que dans l'ordre avec lequel elles ont ete ecrites. Il est obligatoire que chaque instruction de lecture soit compatible avec la donnee a lire.
  Consequence: Un lireInt sur une donnee non numerique entiere entraine une erreur d'execution.
  Remarque: Plusieurs fichiers peuvent etre ouverts simultanement avec des modes d'exploitation differents. Il est necessaire que chacun d'eux ait une variable support individuelle.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Fichier()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `afficher(Fichier f, java.lang.Object... s)` Ecriture dans un fichier.
    `static void` | `afficherln(Fichier f, java.lang.Object... s)` Ecriture dans un fichier suivie d'un saut de ligne.
    `static boolean` | `estFini(Fichier f)` Test de l'existence d'une valeur encore à lire dans un fichier.
    `static void` | `fermer(Fichier f)` Fermeture d'un fichier.
    `static boolean` | `lireBoolean(Fichier f)` Lecture dans un fichier d'une valeur de type booleen.
    `static byte` | `lireByte(Fichier f)` Lecture dans un fichier d'une valeur de type byte (octet).
    `static char` | `lireChar(Fichier f)` Lecture dans un fichier d'une valeur de type caractère.
    `static double` | `lireDouble(Fichier f)` Lecture dans un fichier d'une valeur de type double (réel double précision (sur 8 octets)).
    `static float` | `lireFloat(Fichier f)` Lecture dans un fichier d'une valeur de type float (réel simple précision (sur 4 octets)).
    `static int` | `lireInt(Fichier f)` Lecture dans un fichier d'une valeur de type int (entier sur 4 octets).
    `static long` | `lireLong(Fichier f)` Lecture dans un fichier d'une valeur de type long (entier sur 8 octets).
    `static java.lang.String` | `lireMot(Fichier f)` Lecture dans un fichier d'une valeur de type chaine de caractères (un mot).
    `static short` | `lireShort(Fichier f)` Lecture dans un fichier d'une valeur de type short (entier sur 2 octets).
    `static java.lang.String` | `lireString(Fichier f)` Lecture dans un fichier d'une valeur de type chaine de caractères (jusqu'au bout de la ligne en cours).
    `static boolean` | `ouvrir(Fichier f, java.lang.String filename, java.lang.String mode)` Ouverture d'un fichier.
    `static void` | `sautDeLigne(Fichier f)` Saut de ligne dans un fichier.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Fichier

          public Fichier()

  - ### Method Detail

    - #### ouvrir

          public static boolean ouvrir(Fichier f,
                                       java.lang.String filename,
                                       java.lang.String mode)

      Ouverture d'un fichier.
      Parameters:
        `f` - Le Fichier à ouvrir.
        `filename` - Le nom du Fichier à ouvrir.
        `mode` - Le mode d'ouverture du fichier ("r" pour lecture, "c" pour création puis écriture, "w" pour écriture en queue).
      Returns:
        Le booleen indiquant si l'ouverture a abouti.

    - #### fermer

          public static void fermer(Fichier f)

      Fermeture d'un fichier.
      Parameters:
        `f` - Le Fichier à fermer.

    - #### estFini

          public static boolean estFini(Fichier f)

      Test de l'existence d'une valeur encore à lire dans un fichier.
      Parameters:
        `f` - Le Fichier dans lequel réaliser la lecture.
      Returns:
        Le booleen indiquant si une valeur reste à lire (true si oui, false si non).

    - #### afficher

          public static void afficher(Fichier f,
                                      java.lang.Object... s)

      Ecriture dans un fichier.

      Indication entre parenthèses de la liste des 0, 1 ou plusieurs parametres à écrire:
      - variables,
      - constantes,
      - expressions,
      - ...

      Parameters:
        `f` - Le Fichier dans lequel réaliser l'écriture.
        `s` - La liste des parametres a ecrire dans le fichier.

    - #### afficherln

          public static void afficherln(Fichier f,
                                        java.lang.Object... s)

      Ecriture dans un fichier suivie d'un saut de ligne.

      Indication entre parenthèses de la liste des 0, 1 ou plusieurs parametres à écrire:
      - variables,
      - constantes,
      - expressions,
      - ...

      Parameters:
        `f` - Le Fichier dans lequel réaliser l'écriture.
        `s` - La liste des parametres a ecrire dans le fichier.

    - #### sautDeLigne

          public static void sautDeLigne(Fichier f)

      Saut de ligne dans un fichier.
      Parameters:
        `f` - Le Fichier dans lequel réaliser l'écriture.

    - #### lireByte

          public static byte lireByte(Fichier f)

      Lecture dans un fichier d'une valeur de type byte (octet).
      Parameters:
        `f` - Le Fichier dans lequel réaliser la lecture.
      Returns:
        Le byte lu dans le fichier.

    - #### lireShort

          public static short lireShort(Fichier f)

      Lecture dans un fichier d'une valeur de type short (entier sur 2 octets).
      Parameters:
        `f` - Le Fichier dans lequel réaliser la lecture.
      Returns:
        Le short lu dans le fichier.

    - #### lireInt

          public static int lireInt(Fichier f)

      Lecture dans un fichier d'une valeur de type int (entier sur 4 octets).
      Parameters:
        `f` - Le Fichier dans lequel réaliser la lecture.
      Returns:
        Le int lu dans le fichier.

    - #### lireLong

          public static long lireLong(Fichier f)

      Lecture dans un fichier d'une valeur de type long (entier sur 8 octets).
      Parameters:
        `f` - Le Fichier dans lequel réaliser la lecture.
      Returns:
        Le long lu dans le fichier.

    - #### lireDouble

          public static double lireDouble(Fichier f)

      Lecture dans un fichier d'une valeur de type double (réel double précision (sur 8 octets)).
      Parameters:
        `f` - Le Fichier dans lequel réaliser la lecture.
      Returns:
        Le double lu dans le fichier.

    - #### lireFloat

          public static float lireFloat(Fichier f)

      Lecture dans un fichier d'une valeur de type float (réel simple précision (sur 4 octets)).
      Parameters:
        `f` - Le Fichier dans lequel réaliser la lecture.
      Returns:
        Le float lu dans le fichier.

    - #### lireBoolean

          public static boolean lireBoolean(Fichier f)

      Lecture dans un fichier d'une valeur de type booleen.
      Parameters:
        `f` - Le Fichier dans lequel réaliser la lecture.
      Returns:
        Le booleen lu dans le fichier.

    - #### lireString

          public static java.lang.String lireString(Fichier f)

      Lecture dans un fichier d'une valeur de type chaine de caractères (jusqu'au bout de la ligne en cours).
      Parameters:
        `f` - Le Fichier dans lequel réaliser la lecture.
      Returns:
        La String lue dans le fichier.

    - #### lireMot

          public static java.lang.String lireMot(Fichier f)

      Lecture dans un fichier d'une valeur de type chaine de caractères (un mot).
      Parameters:
        `f` - Le Fichier dans lequel réaliser la lecture.
      Returns:
        La String lue dans le fichier.

    - #### lireChar

          public static char lireChar(Fichier f)

      Lecture dans un fichier d'une valeur de type caractère.
      Parameters:
        `f` - Le Fichier dans lequel réaliser la lecture.
      Returns:
        Le caractere lu dans le fichier.